sigs.k8s.io/cluster-api/bootstrap/kubeadm@v0.0.0-20191016155141-23a891785b60/hack/verify-manifests.sh (about)

     1  #!/usr/bin/env bash
     2  # Copyright 2019 The Kubernetes Authors.
     3  #
     4  # Licensed under the Apache License, Version 2.0 (the "License");
     5  # you may not use this file except in compliance with the License.
     6  # You may obtain a copy of the License at
     7  #
     8  #     http://www.apache.org/licenses/LICENSE-2.0
     9  #
    10  # Unless required by applicable law or agreed to in writing, software
    11  # distributed under the License is distributed on an "AS IS" BASIS,
    12  # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    13  # See the License for the specific language governing permissions and
    14  # limitations under the License.
    15  
    16  set -o errexit
    17  set -o nounset
    18  set -o pipefail
    19  
    20  REPO_ROOT=$(dirname "${BASH_SOURCE[0]}")/..
    21  DIFFROOT="${REPO_ROOT}/config"
    22  TMP_ROOT="${REPO_ROOT}/_tmp"
    23  
    24  
    25  cleanup() {
    26      rm -rf "${TMP_ROOT}"
    27  }
    28  trap "cleanup" EXIT SIGINT
    29  cleanup
    30  
    31  MANIFEST_ROOT=$TMP_ROOT make generate-manifests
    32  
    33  echo "diffing ${DIFFROOT} against freshly generated manifests"
    34  ret=0
    35  git diff --no-index --diff-filter=MD ${TMP_ROOT} ${DIFFROOT} || ret=$?
    36  if [[ $ret -eq 0 ]]
    37  then
    38      echo "Manifests in ${DIFFROOT} are up to date."
    39  else
    40      echo "Manifests in ${DIFFROOT} are out of date. Please run \`make generate-manifests\`"
    41      exit 1
    42  fi